> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbasalt.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dataset

> Get a dataset by its slug with its associated items



## OpenAPI

````yaml GET /datasets/{slug}
openapi: 3.1.0
info:
  title: Basalt API
  description: Basalt API
  version: 0.2.1
servers:
  - url: https://api.getbasalt.ai
    description: Basalt Endpoint API
security:
  - bearerAuth: []
paths:
  /datasets/{slug}:
    get:
      summary: Get a dataset by slug
      description: Get a dataset by its slug with its associated items
      parameters:
        - schema:
            type: string
            description: The slug of the dataset to get
            example: my-slug
          required: true
          name: slug
          in: path
      responses:
        '200':
          description: The dataset with its items
          content:
            application/json:
              schema:
                type: object
                properties:
                  warning:
                    type: string
                    description: >-
                      Warning message about columns that were omitted because
                      they do not exist in the dataset
                    example: >-
                      Some rows contained columns that do not exist in the
                      dataset and were omitted.
                  dataset:
                    type: object
                    properties:
                      slug:
                        type: string
                        description: The slug of the dataset
                        example: my-dataset
                      name:
                        type: string
                        description: The name of the dataset
                        example: My Dataset
                      columns:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              description: The name of the column
                              example: input
                            type:
                              type: string
                              enum:
                                - text
                                - image
                                - file
                                - json
                              description: The type of the column
                              example: text
                          required:
                            - name
                            - type
                        description: The columns of the dataset
                        example:
                          - name: input
                            type: text
                          - name: output
                            type: text
                      rows:
                        type: array
                        items:
                          type: object
                          properties:
                            values:
                              type: object
                              additionalProperties:
                                type: string
                              description: The values for each column in this dataset row
                              example:
                                columnName1: value1
                                columnName2: value2
                            idealOutput:
                              type:
                                - string
                                - 'null'
                              description: The ideal output for this dataset row, if any
                              example: This is the expected output
                            metadata:
                              type:
                                - object
                                - 'null'
                              additionalProperties: {}
                              description: Additional metadata for this dataset row
                              example:
                                source: user
                                context: testing
                          required:
                            - values
                        description: The rows in this dataset, if requested
                    required:
                      - slug
                      - name
                      - columns
                    description: The retrieved dataset
                required:
                  - dataset
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: Dataset not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````